#!/bin/bash

mod=("INT" "SURF")

for m in ${mod[@]}  # INT and SURF

do 
    cd $dire/$j/$k/$l/
    echo "Creating INT and SURF directory...$m"  
    mkdir $m 
    cd $m

for n in ${mass[@]}  # initial mass

do
    cd $dire/$j/$k/$l/$m
    echo "Creating mass directory...$n"
    mkdir $n
    cp -r $dire/template/* $n/
    cp $dire/scripts/m000_onemesa.sh $n/
    cd $n
    sed -i -e "s/extras_rpar(1) =/extras_rpar(1)= $l  ! /" inlists/inlist_grid.f
    sed -i -e "s/initial_mass =/initial_mass = $n  ! /" inlists/inlist_grid.f
    sed -i -e "s/read_extra_star_job_inlist4 =/read_extra_star_job_inlist4 = .true.  ! /" inlist
    # sed delimeter "/" needs to change since it is filaneme
    sed -i -e "s~extra_kap_inlist1_name =~extra_kap_inlist1_name = 'inlists/inlist_metals_$j.f'  ! ~" inlist
    sed -i -e "s~extra_star_job_inlist3_name =~extra_star_job_inlist3_name = 'inlists/inlist_metals_$j.f'  ! ~" inlist
    sed -i -e "s~extra_star_job_inlist4_name =~extra_star_job_inlist4_name = 'inlists/inlist_mag$m.f'  ! ~" inlist
    sed -i -e "s~extra_controls_inlist3_name =~extra_controls_inlist3_name = 'inlists/inlist_$k.f'  ! ~" inlist
    sed -i -e "s~extra_controls_inlist4_name =~extra_controls_inlist4_name = 'inlists/inlist_mag$m.f'  ! ~" inlist
    qsub -q openmp -l ncpus=4 m000_onemesa.sh
    cd ..
done
    cd ..
done 
